﻿@model JavnaNabava.Model.Ponudum

@{
    ViewData["Title"] = "CreatePonudaForm";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Stvori novu ponudu</h1>

<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="CreatePonudaForm">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="UkupnaCijenaPonude" class="control-label"></label>
                <input asp-for="UkupnaCijenaPonude" class="form-control" />
                <span asp-validation-for="UkupnaCijenaPonude" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="FkVrstaPonuditeljaId" class="control-label"></label>
                <select asp-for="FkVrstaPonuditeljaId" id="vrsta" class="form-control" asp-items="ViewBag.vrste">
                    <option selected value="" disabled>Odaberite vrstu ponuditelja</option>
                </select>
            </div>
            <div class="form-group" id="tvrtka">
                <label asp-for="FkTvrtkaOib" class="control-label"></label>
                <select asp-for="FkTvrtkaOib" class="form-control" asp-items="ViewBag.tvrtke">
                    <option selected value="" disabled>Odaberite tvrtku</option>
                </select>
            </div>
            <div class="form-group" id="konzorcij">
                <label asp-for="FkKonzorcijOib" class="control-label"></label>
                <select asp-for="FkKonzorcijOib" class="form-control" asp-items="ViewBag.konzorciji">
                    <option selected value="" disabled>Odaberite konzorcij</option>
                </select>
            </div>
            <div class="form-group">
                <button asp-action="ProcessCreate" class="btn btn-primary" type="submit">Dodaj</button>
                <a asp-action="Index" class="btn btn-secondary">Odustani</a>
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
    <script type="text/javascript">
        $(function () {
            $('#vrsta').change(function () {
                var value = $(this).val();
                if (value == '1') {
                    $('#tvrtka').hide();
                    $('#konzorcij').show();
                } else {
                    $('#tvrtka').show();
                    $('#konzorcij').hide();
                }
            });
        });</script>
}
